Delete device subscription
DELETE
/merchants/{merchantCode}/devices/{deviceCode}/subscriptions/{subscriptionCode}
const url = 'https://customer.shopgate.io/v1/merchants/example/devices/example/subscriptions/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://customer.shopgate.io/v1/merchants/example/devices/example/subscriptions/exampleDelete device subscription
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
deviceCode
required
string
subscriptionCode
required
string
Responses
Section titled “Responses”Subscription was deleted
Media typeapplication/json
Access denied
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}Merchant, Device or Subscription not found
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
